Bug 880819 - RFE: expose GroupDefinitionManager remotely
RFE: expose GroupDefinitionManager remotely
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
4.3
Unspecified Unspecified
high Severity medium (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
: FutureFeature
Depends On: 966293 974501 974540 975502 976265
Blocks: PM-154/PRODMGT-154 966125
  Show dependency treegraph
 
Reported: 2012-11-27 15:32 EST by Larry O'Leary
Modified: 2013-11-12 18:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: PM-154/PRODMGT-154
Environment:
Last Closed: 2013-09-03 10:44:37 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-11-27 15:32:19 EST
+++ This bug was initially created as a clone of JBoss ON Bug #815353 +++

Description of problem:

We don't expose any methods to create, update or delete dyna-groups which prevents the CLI to automate working with them. This is a glaring omission, IMHO.

Version-Release number of selected component (if applicable):
4.4.0-SNAPSHOT

--- Additional comment from Charles Crouch on 2012-05-08 11:43:51 EDT ---

Lukas
What is the level of effort here?

--- Additional comment from Lukas Krejci on 2012-05-09 07:21:36 EDT ---

I believe the effort should not be significant - it should be a matter of choosing the methods from the local iface to be exposed in the remote interface, too, possibly slightly changing their signatures to be more "user friendly".

There is a support for criteria queries on group definitions so even our standard querying approach is already in place.

--- Additional comment from Charles Crouch on 2012-05-15 18:33:11 EDT ---

Targeting for JON3.2
Comment 1 Jirka Kremser 2013-01-30 11:10:48 EST
master
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=74dfd37db

time:    Wed Jan 30 17:08:46 2013 +0100
commit:  74dfd37db100de71128db47eb83962c686c8c925
author:  Jirka Kremser - jkremser@redhat.com
message: [Bug 880819 - RFE: expose GroupDefinitionManager remotely] Subset of methods defined in the local intercace has been exposed via the remote interaces and registered in the RhqManager.
Comment 2 Jirka Kremser 2013-01-31 10:57:41 EST
master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=281605c82

281605c82 53 seconds ago Jirka Kremser [Bug 880819 - RFE: expose GroupDefinitionManager remotely] No need for exposing the "getById()" method. There is a common criteria finder available and other remote managers don't expose this getById() methods either. We should keep the api consistent.
Comment 5 Heiko W. Rupp 2013-09-03 10:44:37 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.